package nsdb;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class EntryInfoPOATie
	extends EntryInfoPOA
{
	private EntryInfoOperations _delegate;

	private POA _poa;
	public EntryInfoPOATie(EntryInfoOperations delegate)
	{
		_delegate = delegate;
	}
	public EntryInfoPOATie(EntryInfoOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public nsdb.EntryInfo _this()
	{
		return nsdb.EntryInfoHelper.narrow(_this_object());
	}
	public nsdb.EntryInfo _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.EntryInfoHelper.narrow(_this_object(orb));
	}
	public EntryInfoOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(EntryInfoOperations delegate)
	{
		_delegate = delegate;
	}
	public int getCountC()
	{
		return _delegate.getCountC();
	}

	public int getCountA()
	{
		return _delegate.getCountA();
	}

	public int getEntryVersion()
	{
		return _delegate.getEntryVersion();
	}

	public java.lang.String[] getSecondaryIds()
	{
		return _delegate.getSecondaryIds();
	}

	public int getCountT()
	{
		return _delegate.getCountT();
	}

	public java.lang.String getEntryStatus()
	{
		return _delegate.getEntryStatus();
	}

	public int getCountG()
	{
		return _delegate.getCountG();
	}

	public java.lang.String getEntryName()
	{
		return _delegate.getEntryName();
	}

	public type.Revision[] getRevisions()
	{
		return _delegate.getRevisions();
	}

}
